手机版
你好,游客 登录 注册
背景:
阅读新闻

Canonical发布所有受支持Ubuntu版本的重要Linux内核更新

[日期:2020-01-08] 来源:Linux公社  作者:醉落红尘 [字体: ]

Canonical今天为其所有受支持的Ubuntu Linux版本发布了第一个Linux内核安全更新,以解决30多个安全漏洞。

新的安全更新影响使用Linux内核5.3的Ubuntu 19.10和Ubuntu 18.04 LTS系统,解决了Marvell WiFi-Ex和Marvell Libertas WLAN驱动程序中两个基于堆的缓冲区溢出以及Fujitsu ES网络设备驱动程序Broadcom V3D中的缺陷。 DRI驱动程序,Mellanox Technologies Innova驱动程序和Mellanox Technologies ConnectX驱动程序。

此外,Linux内核的Intel WiMAX 2400驱动程序,Geschwister Schneider USB CAN接口驱动程序,基于netlink的802.11配置接口,事件跟踪子系统,无内存强制反馈输入设备的驱动程序,Microchip CAN BUS分析仪驱动程序,PEAK-System解决了问题。 Technik USB驱动程序,ALSA计时器实现和DesignWare USB3控制器驱动程序。

新的安全补丁影响使用Linux 5.0内核的Ubuntu 19.04和Ubuntu 18.04 LTS系统,还修复了Linux内核的CIFS实现,QLogic光纤通道驱动程序,VirtualBox来宾驱动程序实现,ADIS16400 IIO IMU驱动程序,英特尔OPA Gen1 Infiniband驱动程序和AMD Audio CoProcessor驱动程序。

Cascoda CA8210 SPI 802.15.4无线控制器驱动程序,AMD Display Engine驱动程序,NXP PN533 NFC USB驱动程序,Chelsio T4 / T5 RDMA驱动程序,DesignWare USB3控制器驱动程序,活页夹IPC实现,公平调度程序和多个USB HID设备驱动程序分别为也打了补丁。此外,针对所有Ubuntu版本上的PowerPC体系结构系统,Spectre_RSB缓解措施均得到了改进。

敦促用户立即更新其系统

现在可以从Ubuntu 19.10(Eoan Ermine),Ubuntu 19.04(Disco Dingo),Ubuntu 18.04 LTS(Bionic Beaver)和Ubuntu 16.04 LTS(Xenial Xerus)的软件存储库中获得新的Linux内核安全更新。敦促所有用户立即更新其系统,并记住在安装新内核版本后重新引导计算机。

使用Linux 5.3的Ubuntu 19.10用户必须更新到linux-image 5.3.0-26.28,使用Linux 5.0的Ubuntu 19.04用户需要更新到linux-image 5.0.0-38.41,使用Linux 4.15的Ubuntu 18.04 LTS用户需要更新到linux-image映像4.15.0-74.84,使用Linux 4.15的Ubuntu 16.04.6 LTS用户应更新到linux-image 4.15.0-74.83~16.04.1,使用Linux 4.4的Ubuntu 16.04 LTS用户将必须更新到linux-image 4.4.0-171.200。

要更新您的系统,请参考https://www.linuxidc.com/Linux/2019-06/159093.htm说明进行操作。

更多Ubuntu相关信息见Ubuntu 专题页面 https://www.linuxidc.com/topicnews.aspx?tid=2

Linux公社的RSS地址https://www.linuxidc.com/rssFeed.aspx

本文永久更新链接地址https://www.linuxidc.com/Linux/2020-01/161960.htm

linux
相关资讯       Linux内核更新 
本文评论   查看全部评论 (0)
表情: 表情 姓名: 字数

       

评论声明
  • 尊重网上道德,遵守中华人民共和国的各项有关法律法规
  • 承担一切因您的行为而直接或间接导致的民事或刑事法律责任
  • 本站管理人员有权保留或删除其管辖留言中的任意内容
  • 本站有权在网站内转载或引用您的评论
  • 参与本评论即表明您已经阅读并接受上述条款